#!/bin/bash

# shellcheck disable=SC2154,SC1091
# This helper script will handle generation of a db primary password
#
# /scripts/gen-primary-secret.sh
#

set -e

source /scripts/utils.sh

check_access ${infraNamespace} secrets

echo "Generating new password."
password=$(openssl rand -hex 32)

create_secret_password ${dbPrimaryCredsSecretName} ${infraNamespace} ${password}

print_header "$0 done."

